Skip to main content
POST
Get the cheapest shipping rate and free-shipping threshold for a destination
Part of the Shipping Options Details integration guide — see it for when and how to use this endpoint.

Headers

Authorization
string

The token retrieved via the GetAuthenticationToken API using merchant-specific credentials (provided to you by Global‑e). See the Authentication section under Global-e Environments.

UserName
string

The API UserName, provided to you by Global‑e.

Query Parameters

merchantGUID
string

Unique Merchant Identifier and API token. The Merchant Identifier is different for test and live environments. Instead implement JWT authentication. (Not required if the JWT implementation is used, since it is provided in the Authorization and UserName headers.)

Body

application/json
currencyCode
string
required

The country's currency code. Length: 3 letters. Example: CAD, USD, ILS, EUR.

amount
number<float>
required

The shipping cost. This number can contain up to two digits after the decimal point. Example: 50.30.

destinationCountry
string

The destination country. Length: 2-3 letters (both ISO-2 and ISO-3 are supported). If empty, the API returns a list of shipping rates for all countries configured in the Global‑e System. Example: US or USA for the United States.

productCodes
string[]

The unique product reference (SKU, EAN, Barcode, and more). Example: ["product123","productABC"].

Response

An array of per-destination objects. Each contains the destination, the shipping-methods availability status, and up to two shipping-rate objects.

destinationCountry
string

The destination country's ISO code. Length: 2/3-letter ISO country code based on the request value. Example: ISR, IL, USA, US.

status
enum<string>

Shipping methods availability. active: shipping methods were found for this destination. noShippingMethodsAvailable: no active shipping methods were found — shipments to the selected destination are currently not supported.

Available options:
active,
noShippingMethodsAvailable
shippingRates
ShippingRates · object[]

Contains up to two shipping-service objects, per the Shipping Details API logic. If the cheapest shipping service is the first to be subject to free shipping, only one shippingRates object is returned.